
%define deb_file %{name}_%{version}_amd64.deb

Summary: Runescape Launcher
Name: runescape-launcher
Version: 2.2.4
Release: %mkrel 1
License: Proprietary
Group: Games/Adventure
URL: http://content.runescape.com/downloads/ubuntu/pool/non-free/r/runescape-launcher
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no

%description
RuneScape is a massively multiplayer online role-playing game created
by Jagex Ltd. This client allows you to play the game as never before!
By installing this software you are agreeing to the End User Licence
Agreement (see /usr/share/doc/runescape-launcher/copyright).

%prep
%setup -T -n %{name} -c

%build
#nobuild

%install
rm -rf %buildroot
mkdir -p %buildroot

cd $RPM_SOURCE_DIR
wget -nc http://content.runescape.com/downloads/ubuntu/pool/non-free/r/runescape-launcher/%{deb_file}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.xz | xz -d -9 | tar x -C %buildroot

#menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/runescape-launcher.desktop


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/runescape-launcher
%{_datadir}/applications/runescape-launcher.desktop
%{_datadir}/doc/runescape-launcher/changelog.gz
%{_datadir}/doc/runescape-launcher/copyright
%{_datadir}/games/runescape-launcher/runescape
%{_datadir}/games/runescape-launcher/runescape.png
%{_datadir}/icons/hicolor/16x16/apps/runescape.png
%{_datadir}/icons/hicolor/24x24/apps/runescape.png
%{_datadir}/icons/hicolor/256x256/apps/runescape.png
%{_datadir}/icons/hicolor/32x32/apps/runescape.png
%{_datadir}/icons/hicolor/48x48/apps/runescape.png
%{_datadir}/icons/hicolor/512x512/apps/runescape.png
%{_datadir}/icons/hicolor/64x64/apps/runescape.png
%{_datadir}/kde4/services/rs-launch.protocol
%{_datadir}/kde4/services/rs-launchs.protocol

%changelog
* Sat Jul 01 2017 bb2 <bb2> - 2.2.4-1pclos2017
- fix rpmgroup
- new version

* Tue Apr 19 2016 bb <bb> - 2.2.2-1pclos2016
- create package

